import React from 'react';
import TemplateContainer from './TemplateContainer';
import Player from './SharedComponents/Player';
import AccordionTemplate1 from './AccordionTemplate1';
import AccordionTemplate2 from './AccordionTemplate2';
const templates = {
  'accordian-1': AccordionTemplate1,
  'accordian-2': AccordionTemplate2
};
export { Player };
export default (({
  template: templateData,
  getHandleInputSelect,
  getHandleAddToCart,
  threekitConfig
}) => {
  const {
    templateId,
    title,
    subtitle
  } = templateData;
  return /*#__PURE__*/React.createElement(TemplateContainer, {
    template: templates[templateId] || templates[Object.keys(templates)[0]],
    title: title,
    subtitle: subtitle,
    getHandleInputSelect: getHandleInputSelect,
    getHandleAddToCart: getHandleAddToCart,
    threekitConfig: threekitConfig
  });
});